## org.springframework.oxm
Interface GenericUnmarshaller

All Superinterfaces:
  Unmarshaller

All Known Implementing Classes:
  Jaxb2Marshaller

    public interface GenericUnmarshaller

extends Unmarshaller

Subinterface of `Unmarshaller` that has support for Java 5 generics.

Author:
  Arjen Poutsma

Method Summary
`boolean` `supports(Type genericType)` Indicates whether this marshaller can marshal instances of the supplied generic type.

Methods inherited from interface org.springframework.oxm.Unmarshaller
`supports, unmarshal`

Method Detail

### supports

    boolean supports(Type genericType)

  Indicates whether this marshaller can marshal instances of the supplied generic type.

  Parameters:
    `genericType` - the type that this marshaller is being asked if it can marshal
  Returns:
    `true` if this marshaller can indeed marshal instances of the supplied type; `false` otherwise